> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/changelogs/version-8/v8-11/v8-11-0.md).

# Version 8.11.0 Changelog (2022-12-16)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

## WebViewer Core

### New

* Added more event actions (move, resize, rotate, textChanged, noteChanged, draggingAcrossPages) for the `annotationChanged` event.
* Added promise to the return value of the `DocumentViewer.setWatermark` API so it is awaitable.
* Added the `disableObjectURLBlob` argument in the WebViewer constructor for allowing a Content Security Policy without `script-src blob:`.
* Added APIs to enable/disable annotation dragging and scrolling.

### Fixes

* Fixed an issue where new content was not being inserted in the correct spot in edit mode, after rotating a page using the tools in the thumbnails panel.
* Fixed issue where sometimes pages would be rendered at the incorrect zoom level when zooming quickly.
* Fixed incorrect tool name for rectangular measurement annotations.
* Fixed issue where using WebViewer Server would cause outlines panel to have all outlines selected.
* Fixed the issue with page rendering when using `saveMemoryBuffer`.
* Fixed missing separations being reported from the workers.
* Fixed issue where new area measurement annotations captions were not being rotated according to the current page rotation.
* Fixed issue, where in certain situations, undo/redo wouldn't remove richtext styles as expected.
* Fixed Link annotation opening its URL multiple times when the annotation visibility is toggled multiple times.
* Fixed the offset between the mouse position and the annotation created when the viewer is in the double-page layout mode with different page sizes.
* Fixed issue with blend mode for search not working correctly.
* Fixed issue with replies being lost when moving an annotation across pages.

## WebViewer UI

### New

* Added retention of user preferences set through the Settings modal.
* Added new feature to save PDF files with newly generated comment pages.
* Added new keyboard shortcuts tab in Settings modal.
* Added support for React components when using custom modals in the UI. Only when using the render function to return the components.
* Revamped the Page Replacement modal to allow users to change their selected file. Also provided more warnings for incorrect page number entries, as well as loss of page selections, when exiting the modal.
* Added APIs for enabling/disabling the warning modal that appears when applying a crop to a page.
* Added new modal to insert pages from a file loaded from the user's machine.
* Added a new `setCustomSettings` API for adding custom settings in Advanced tab.
* Added better error handling for certain corrupt PDFs when using the full API.

### Fixes

* Fixed a bug causing WebViewer to crash when being opened on older versions of Edge.
* Fixed issue where signatures were not extracted with pages during page extraction.
* Fixed issue where `scaleOverlayContainer` could not be disabled.
* Fixed the API documentation of the interface PageManipulationOverlay.
* Fixed view controls overlay to work with Multi-Viewer mode.
* Fixed issue where editing comments with mentions were showing the mention object instead of its user friendly value.
* Fixed issue with crop tool not updating when changed programmactically.
* Fixed a bug causing the Mentions list to be cut off in the Comments Panel when it was too long.
* Fixed issue where `UI.dispose` method did not completely unmount WebViewer.
* Fixed conditional rendering of Digital Signature Verification text regarding Trust Verification Result.
* Fixed line breaks being ignored in the notes panel.
* Fixed issue with default color of rubber stamps not being set.
* Fixed an issue where cursor position is wrong after adding a mention.
* Fixed annotations not being removed in multi-tab mode.
* Fixed broken add outline button after loading a new document.
* Fixed a bug where the `annotationChanged` event is not triggered after modifying line style.
* Fixed issue where tooltip will remain on a document after clicking one of the text-popup buttons.
* Fixed an issue where opacity and stroke width can be set to a negative value.
* Fixed scale selector click issue in mobile view.
* Fixed auto-sized FreeText not adjusting bounding box when font size changes in UI.
* Fixed German-translated measurement scale UI issues.
* Fixed issue where the selection of a freetext annotation with multiple colors letters was not having the correspondent color selected on the Color Palette.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/changelogs/version-8/v8-11/v8-11-0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
